Page MenuHomePhabricator

certcentral crashes on network errors
Closed, ResolvedPublic

Description

Right now certcentral crashes on network timeouts when attempting to reach the ACME directory endpoints.

Details

Related Gerrit Patches:
operations/software/certcentral : debiandebian: Add release 0.8 to changelog
operations/software/certcentral : debianRelease 0.8
operations/software/certcentral : debianacme_requests: Handle TCP/HTTPS errors
operations/software/certcentral : masterRelease 0.8
operations/software/certcentral : masteracme_requests: Handle TCP/HTTPS errors

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 20 2018, 5:12 PM

Change 475713 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/software/certcentral@master] acme_requests: Handle TCP/HTTPS errors

https://gerrit.wikimedia.org/r/475713

Change 475713 merged by jenkins-bot:
[operations/software/certcentral@master] acme_requests: Handle TCP/HTTPS errors

https://gerrit.wikimedia.org/r/475713

Vgutierrez triaged this task as Medium priority.Nov 28 2018, 7:36 AM
Vgutierrez removed a project: Patch-For-Review.

Change 484511 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/software/certcentral@master] Release 0.8

https://gerrit.wikimedia.org/r/484511

Change 484511 merged by jenkins-bot:
[operations/software/certcentral@master] Release 0.8

https://gerrit.wikimedia.org/r/484511

Change 485007 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/software/certcentral@debian] acme_requests: Handle TCP/HTTPS errors

https://gerrit.wikimedia.org/r/485007

Change 485011 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/software/certcentral@debian] Release 0.8

https://gerrit.wikimedia.org/r/485011

Change 485007 merged by Vgutierrez:
[operations/software/certcentral@debian] acme_requests: Handle TCP/HTTPS errors

https://gerrit.wikimedia.org/r/485007

Change 485011 merged by Vgutierrez:
[operations/software/certcentral@debian] Release 0.8

https://gerrit.wikimedia.org/r/485011

Change 485014 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/software/certcentral@debian] debian: Add release 0.8 to changelog

https://gerrit.wikimedia.org/r/485014

Change 485014 merged by jenkins-bot:
[operations/software/certcentral@debian] debian: Add release 0.8 to changelog

https://gerrit.wikimedia.org/r/485014

Mentioned in SAL (#wikimedia-operations) [2019-02-04T07:56:44Z] <vgutierrez> uploaded certcentral 0.8 to apt.wikimedia.org (stretch) - T209980 T213820 T213301

Krenair closed this task as Resolved.Feb 22 2019, 12:39 PM
Krenair assigned this task to Vgutierrez.